<?php
    class Responsable {
        private $idOrder;
        private $idResponsable;
        private $nombreResponsable;
        private $cargoResponsable;
        private $estadoResponsable;

        // Constructor
        public function __construct($idOrder, $idResponsable, $nombreResponsable, $cargoResponsable, $estadoResponsable) {
            $this->idOrder           = $idOrder;
            $this->idResponsable     = $idResponsable;
            $this->nombreResponsable = $nombreResponsable;
            $this->cargoResponsable  = $cargoResponsable;
            $this->estadoResponsable = $estadoResponsable;
        }

        // Getters y Setters
        public function getIdOrder() { return $this->idOrder; }
        public function setIdOrder($idOrder) { $this->idOrder = $idOrder; }

        public function getIdResponsable() { return $this->idResponsable; }
        public function setIdResponsable($idResponsable) { $this->idResponsable = $idResponsable; }

        public function getNombreResponsable() { return $this->nombreResponsable; }
        public function setNombreResponsable($nombreResponsable) { $this->nombreResponsable = $nombreResponsable; }

        public function getCargoResponsable() { return $this->cargoResponsable; }
        public function setCargoResponsable($cargoResponsable) { $this->cargoResponsable = $cargoResponsable; }

        public function getEstadoResponsable() { return $this->estadoResponsable; }
        public function setEstadoResponsable($estadoResponsable) { $this->estadoResponsable = $estadoResponsable; }
    }
?>
